Market Radar API
API referenceRadars

A radar's sweeps

Newest first. To follow a sweep you started, read the radar's sweeping, or the first sweep of this list, every few seconds.

GET
/radars/{id}/sweeps

Authorization

key
AuthorizationBearer <token>

A key created in the app under Settings, API and MCP. Read keys read; Read and write keys also add, edit and delete companies, custom sources, groups and radars, and create, rename and delete folders.

In: header

Path Parameters

id*integer
Range0 < value <= 9007199254740991

Query Parameters

limit?integer
Range1 <= value <= 100
Default50
cursor?string
Lengthlength <= 500

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/radars/1/sweeps"
{  "data": [    {      "id": 1,      "radar_id": 1,      "started_by": "created",      "status": "queued",      "window": {        "start": "2019-08-24",        "end": "2019-08-24"      },      "started_at": "2019-08-24T14:15:22Z",      "finished_at": "2019-08-24T14:15:22Z",      "counts": {        "articles": -9007199254740991,        "judged": -9007199254740991,        "kept": -9007199254740991,        "new_signals": -9007199254740991,        "sources_added": -9007199254740991,        "new_calls": -9007199254740991      }    }  ],  "next_cursor": "string"}